--vd20141029 A minor script for adjustments, nothing essientiel within


/*
SELECT * FROM HOTELSETUP WITH (NOLOCK)
WHERE 
  SEARCHKEY = 'HeaderSegments' OR
  SEARCHKEY LIKE 'HeaderPOS' OR
  SEARCHKEY LIKE 'HeaderGuestType' OR
  SEARCHKEY LIKE 'HeaderPurposeCodes' 
*/

UPDATE HOTELSETUP
SET KEYVALUE = 'Segment', TextValue = 'Segment', LabelName = 'Segment'
WHERE SEARCHKEY = 'HeaderSegments' AND (KEYVALUE = 'Segments' OR TextValue =  'Segments') 

UPDATE HOTELSETUP
SET KEYVALUE = 'P.O.S.', TextValue = 'P.O.S.', LabelName = 'Point of Sale'
WHERE SEARCHKEY = 'HeaderPOS' AND (KEYVALUE = 'P.O.S' OR TextValue =  'P.O.S')

UPDATE HOTELSETUP
SET KEYVALUE = 'Guest Type', TextValue = 'Guest Type', LabelName = 'Guest Type'
WHERE SEARCHKEY = 'HeaderGuestType' AND (KEYVALUE = 'Guest Type' OR TextValue = 'Guest Type')

UPDATE HOTELSETUP
SET KEYVALUE = 'Purpose Code', TextValue = 'Purpose Code', LabelName = 'Purpose Code'
WHERE SEARCHKEY = 'HeaderPurposeCodes' AND (KEYVALUE = 'Purpose Codes' OR TextValue = 'Purpose Codes' )